Name:      rosa-freeze
Version:   0.9.6
Release:   3
Group:     System/Base
Summary:   ROSA Freeze
License:   BSD
Url:       http://wiki.rosalab.ru/en/index.php/ROSA_Freeze
Source0:   https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
Source1:   %{name}.rpmlintrc
BuildArch: noarch
Requires:  dracut-aufs
Requires:  rsync
Requires:  python-%{name} = %{EVRD}

%description
ROSA Freeze

%package -n     python-%{name}
Summary:        Python API for ROSA Freeze
Group:          System/Base

%description -n python-%{name}
Python-%{name} is a module with Python API to
manipulate ROSA Freeze features.

%prep
%setup -q

%build
pushd po
%make
popd

%install
install -m700 -D rfreeze %{buildroot}%{_sbindir}/rfreeze
install -m700 rosa-freeze-partition %{buildroot}%{_sbindir}/rosa-freeze-partition
install -m644 -D rosa-freeze.service %{buildroot}%{_unitdir}/rosa-freeze.service

mkdir -p %{buildroot}%{py_puresitedir}
cp -r rosa_freeze %{buildroot}%{py_puresitedir}
pushd po
%makeinstall_std
popd

mkdir -p %{buildroot}%{_bindir}
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/rfreeze

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/rfreeze <<EOF
USER=root
PROGRAM=/usr/sbin/rfreeze
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/rfreeze  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%find_lang %{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%_postun_userdel %{name}
%systemd_postun_with_restart %{name}.service

%files -f %{name}.lang
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/rfreeze
%{_unitdir}/*

%files -n python-%{name}
%{py_puresitedir}/*

%changelog

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.6-3
- (e104828) Rename service

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.6-2
- (d2dd035) Fix package structure

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.6-1
- (3cb3503) Added service to freeze non-root partitions

* Mon Apr 10 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.5-1
- (2524b2b) Fix status detection

* Fri Apr 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.4-1
- (6046093) One more fix for 2016.1

* Fri Apr 07 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.9.3-1
- (ccb30c1) Fix work on rosa2016.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-3
- (31365be) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.2-2
- (3f9b216) MassBuild#1169: Increase release tag

* Mon Feb 01 2016 Denis Silakov <dsilakov@gmail.com> 0.9.2-1
- (72ad4c9) Added experimental service to support freeze for non-root partition

* Wed Jul 08 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 0.9.1-1
- (8d2c3ed) 0.9.1 - remove redundant mounts

* Tue Jul 07 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.9.0-1
- (274486c) 0.9.0 - switch to overlayfs by default

* Wed Apr 22 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.8.1-1
- (ef8978e) Handle exceptions when reading restore points

* Fri Apr 17 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.8-1
- (5d5ac51) Adopt the latest patch for Desktop - we have grub configuration in /etc, not /boot

* Fri Apr 17 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.6-1
- (f6f1cbf) 0.7.6 - fix problems with freeze cancellation when /boot is not protected.

* Thu Feb 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.5-1
- (8c6388e) 0.7.5 - not forget to import subprocess module

* Thu Feb 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.4-1
- (bb07094) Fix check of aufs_mount presence in lsintrd output

* Wed Feb 25 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.3-1
- (eb4ed8f) 0.7.3 - store default skip_dirs value in config file

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 0.7.2-4
- (9d26fbc) MassBuild#656: Increase release tag

* Mon Dec 08 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.7.2-3
- (3abe68e) Require dracut-aufs

* Mon Oct 06 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.7.2-2
- (6ed8ce1) Allow launching from user (but ask root password)

* Mon Oct 06 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.7.2-1
- (06f4460) Force initrd rebuild when it is missing aufs-mount

* Thu Oct 02 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.7.1-1
- (0844a75) Dropped .abf.yml - not neede anymore
- (Denis Silakov: dc4ab20) Use sources from ABF directly

* Mon Sep 29 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.7-1
- (a05afec) Added Russian l10n

* Thu Sep 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.6-1
- (2a9fc8a) Updated to 0.6 - added basic support for restore points

* Thu Sep 25 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.5-3
- (a86d246) Updated tarball - fix typo

* Mon Sep 22 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.5-2
- (895ada5) Bump release

* Wed Sep 17 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.5-1
- (dcd8cd7) Updated to 0.5 - improve status detection, added possibility to create checkpoints

* Wed Sep 10 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.4-2
- (b4487bd) Rebuild to the main repo

* Fri Sep 05 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.4-1
- (8a44e60) Updated to 0.4 - added more safety checks


